diff --git a/tests/test_dataviz.py b/tests/test_dataviz.py
index 3c469ec3..67ea1a67 100644
--- a/tests/test_dataviz.py
+++ b/tests/test_dataviz.py
@@ -1,8 +1,8 @@
 import json
 import urllib.parse
 from datetime import date, timedelta
+from unittest import mock
 
-import mock
 import pytest
 from django.apps import apps
 from django.contrib.auth.models import Group, User
@@ -485,9 +485,9 @@ def test_chartng_cell(app, statistics):
     assert chart.__class__.__name__ == 'Pie'
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222], {'title': u'web'}),
-        ([134], {'title': u'mail'}),
-        ([53], {'title': u'email'}),
+        ([222], {'title': 'web'}),
+        ([134], {'title': 'mail'}),
+        ([53], {'title': 'email'}),
     ]
 
     # data in Y
@@ -507,8 +507,8 @@ def test_chartng_cell(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # stacked bar with percent
@@ -518,8 +518,8 @@ def test_chartng_cell(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([64.5, 54, 0, 61.6], {'title': u'foo'}),
-        ([35.5, 46, 100, 38.4], {'title': u'bar'}),
+        ([64.5, 54, 0, 61.6], {'title': 'foo'}),
+        ([35.5, 46, 100, 38.4], {'title': 'bar'}),
     ]
     assert all(x + y == 100 for x, y in zip(chart.raw_series[0][0], chart.raw_series[1][0]))
 
@@ -538,8 +538,8 @@ def test_chartng_cell(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # loop/Y
@@ -548,8 +548,8 @@ def test_chartng_cell(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # loop/X/Y
@@ -669,9 +669,9 @@ def test_chartng_cell_hide_null_values(app, statistics):
     assert chart.__class__.__name__ == 'Pie'
     assert chart.x_labels == ['web', 'mail', 'email']
     assert chart.raw_series == [
-        ([222], {'title': u'web'}),
-        ([134], {'title': u'mail'}),
-        ([53], {'title': u'email'}),
+        ([222], {'title': 'web'}),
+        ([134], {'title': 'mail'}),
+        ([53], {'title': 'email'}),
     ]
 
     # data in Y
@@ -691,8 +691,8 @@ def test_chartng_cell_hide_null_values(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # single data point
@@ -710,8 +710,8 @@ def test_chartng_cell_hide_null_values(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # loop/Y
@@ -720,8 +720,8 @@ def test_chartng_cell_hide_null_values(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # all null
@@ -779,9 +779,9 @@ def test_chartng_cell_sort_order_alpha(app, statistics):
     assert chart.__class__.__name__ == 'Pie'
     assert chart.x_labels == ['email', 'mail', 'phone', 'web']
     assert chart.raw_series == [
-        ([53], {'title': u'email'}),
-        ([134], {'title': u'mail'}),
-        ([222], {'title': u'web'}),
+        ([53], {'title': 'email'}),
+        ([134], {'title': 'mail'}),
+        ([222], {'title': 'web'}),
     ]
 
     # data in Y
@@ -801,8 +801,8 @@ def test_chartng_cell_sort_order_alpha(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # single data point
@@ -820,8 +820,8 @@ def test_chartng_cell_sort_order_alpha(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # loop/Y
@@ -830,8 +830,8 @@ def test_chartng_cell_sort_order_alpha(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # empty data
@@ -871,9 +871,9 @@ def test_chartng_cell_sort_order_desc(app, statistics):
     assert chart.__class__.__name__ == 'Pie'
     assert chart.x_labels == ['web', 'mail', 'email', 'phone']
     assert chart.raw_series == [
-        ([222], {'title': u'web'}),
-        ([134], {'title': u'mail'}),
-        ([53], {'title': u'email'}),
+        ([222], {'title': 'web'}),
+        ([134], {'title': 'mail'}),
+        ([53], {'title': 'email'}),
     ]
 
     # data in Y
@@ -893,8 +893,8 @@ def test_chartng_cell_sort_order_desc(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # single data point
@@ -912,8 +912,8 @@ def test_chartng_cell_sort_order_desc(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # loop/Y
@@ -922,8 +922,8 @@ def test_chartng_cell_sort_order_desc(app, statistics):
     chart = cell.get_chart()
     assert chart.x_labels == ['web', 'mail', 'phone', 'email']
     assert chart.raw_series == [
-        ([222, 134, 0, 53], {'title': u'foo'}),
-        ([122, 114, 2, 33], {'title': u'bar'}),
+        ([222, 134, 0, 53], {'title': 'foo'}),
+        ([122, 114, 2, 33], {'title': 'bar'}),
     ]
 
     # empty data
diff --git a/tests/test_ensure_jsonbfields.py b/tests/test_ensure_jsonbfields.py
index e3dccb2f..034ac94f 100644
--- a/tests/test_ensure_jsonbfields.py
+++ b/tests/test_ensure_jsonbfields.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import pytest
 from django.core.management import call_command
 from django.db import connection
diff --git a/tests/test_fargo.py b/tests/test_fargo.py
index 6aa56d3e..43242cab 100644
--- a/tests/test_fargo.py
+++ b/tests/test_fargo.py
@@ -1,7 +1,7 @@
 import json
 import re
+from unittest import mock
 
-import mock
 import pytest
 from django.test import override_settings
 
diff --git a/tests/test_gallery_cell.py b/tests/test_gallery_cell.py
index 5cc375ae..a095bf54 100644
--- a/tests/test_gallery_cell.py
+++ b/tests/test_gallery_cell.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 import os
 
 import pytest
diff --git a/tests/test_lingo_cells.py b/tests/test_lingo_cells.py
index 80dcd939..7e1a9467 100644
--- a/tests/test_lingo_cells.py
+++ b/tests/test_lingo_cells.py
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 import eopayment
 import pytest
 from django.contrib.auth.models import User
@@ -88,7 +86,7 @@ def test_basket_cell(regie, user):
     item_anonymous.save()
 
     assert cell.is_relevant(context) is True
-    assert cell.get_badge(context) == {'badge': u'12345€'}
+    assert cell.get_badge(context) == {'badge': '12345€'}
 
     item.cancellation_date = timezone.now()
     item.save()
@@ -103,7 +101,7 @@ def test_basket_cell(regie, user):
 
     item.amount = 123.45
     item.save()
-    assert cell.get_badge(context) == {'badge': u'123.45€'}
+    assert cell.get_badge(context) == {'badge': '123.45€'}
 
 
 def test_basket_cell_can_pay_only_one_basket_item(regie, user):
diff --git a/tests/test_lingo_manager.py b/tests/test_lingo_manager.py
index 329f8c67..76b06336 100644
--- a/tests/test_lingo_manager.py
+++ b/tests/test_lingo_manager.py
@@ -1,10 +1,8 @@
-# -*- coding: utf-8 -*-
-
 import datetime
 from decimal import Decimal
+from unittest import mock
 
 import eopayment
-import mock
 import pytest
 from django.contrib.auth.models import User
 from django.db import connection
@@ -172,7 +170,7 @@ def test_download_transaction(app, admin_user, payment_backend):
     test_add_regie(app, admin_user, payment_backend)
     regie = Regie.objects.filter(slug='test')[0]
     user = User.objects.create_user('dimebag', 'dime@bag.pan', 'pwd')
-    user.last_name = u'Darëll'
+    user.last_name = 'Darëll'
     user.first_name = 'Dimebag'
     user.save()
 
diff --git a/tests/test_lingo_payment.py b/tests/test_lingo_payment.py
index 625a8d32..712f8500 100644
--- a/tests/test_lingo_payment.py
+++ b/tests/test_lingo_payment.py
@@ -3,10 +3,10 @@ import uuid
 from contextlib import contextmanager
 from datetime import datetime, timedelta
 from decimal import Decimal
+from unittest import mock
 
 import eopayment
 import httmock
-import mock
 import pytest
 from django.apps import apps
 from django.conf import settings
@@ -728,7 +728,7 @@ def test_cancel_basket_item(app, key, regie, user_name_id):
         url = sign_url(url, key)
         data = {'basket_item_id': basket_item_id, 'notify': 'true'}
         resp = app.post_json(url, params=data)
-        assert request.call_args[0] == ('POST', u'http://example.com/jump/trigger/cancelled')
+        assert request.call_args[0] == ('POST', 'http://example.com/jump/trigger/cancelled')
         assert not BasketItem.objects.filter(amount=42, cancellation_date__isnull=True).exists()
         assert BasketItem.objects.filter(amount=21, cancellation_date__isnull=True).exists()
 
diff --git a/tests/test_lingo_remote_regie.py b/tests/test_lingo_remote_regie.py
index 564a4198..9f7cf524 100644
--- a/tests/test_lingo_remote_regie.py
+++ b/tests/test_lingo_remote_regie.py
@@ -1,12 +1,10 @@
-# -*- coding: utf-8 -*-
-
 import copy
 import json
 from decimal import Decimal
+from unittest import mock
 
 import eopayment
 import httmock
-import mock
 import pytest
 from django.apps import apps
 from django.conf import settings
@@ -108,7 +106,7 @@ def remote_regie():
     return regie
 
 
-class MockUser(object):
+class MockUser:
     email = 'foo@example.net'
     is_authenticated = True
 
@@ -739,7 +737,7 @@ def test_send_new_remote_invoices_by_email(mock_get, user_saml, admin, app, remo
     assert len(mailoutbox) == 1
     assert mailoutbox[0].recipients() == ['foo@example.net']
     assert mailoutbox[0].from_email == settings.DEFAULT_FROM_EMAIL
-    assert mailoutbox[0].subject == u'Nouvelle facture numéro 01 disponible'
+    assert mailoutbox[0].subject == 'Nouvelle facture numéro 01 disponible'
     html_message = mailoutbox[0].alternatives[0][0]
     assert 'http://localhost' in mailoutbox[0].body
     assert 'http://localhost' in html_message
diff --git a/tests/test_manager.py b/tests/test_manager.py
index a642bd9a..7e5c8f11 100644
--- a/tests/test_manager.py
+++ b/tests/test_manager.py
@@ -4,8 +4,8 @@ import json
 import os
 import re
 import shutil
+from unittest import mock
 
-import mock
 import pytest
 from django.conf import settings
 from django.contrib.auth.models import Group
@@ -893,9 +893,7 @@ def test_site_export_import_json(app, admin_user):
     with CaptureQueriesContext(connection) as ctx:
         resp = resp.form.submit()
         assert len(ctx.captured_queries) == 272
-    assert set(Page.objects.get(slug='one').related_cells['cell_types']) == set(
-        ['data_textcell', 'data_linkcell']
-    )
+    assert set(Page.objects.get(slug='one').related_cells['cell_types']) == {'data_textcell', 'data_linkcell'}
     assert Page.objects.count() == 4
     assert LinkCell.objects.count() == 2
     assert LinkCell.objects.get(page__slug='one').link_page.slug == 'two'
@@ -934,7 +932,7 @@ def test_site_export_import_tar(app, admin_user):
     cell.save()
     Asset(key='collectivity:banner', asset=File(BytesIO(b'test'), 'test.png')).save()
     path = default_storage.path('')
-    assert open('%s/assets/test.png' % path, 'r').read() == 'test'
+    assert open('%s/assets/test.png' % path).read() == 'test'
 
     app = login(app)
     resp = app.get('/manage/')
@@ -959,7 +957,7 @@ def test_site_export_import_tar(app, admin_user):
     assert PageSnapshot.objects.all().count() == 1
     assert TextCell.objects.count() == 1
     assert Asset.objects.filter(key='collectivity:banner').count() == 1
-    assert open('%s/assets/test.png' % path, 'r').read() == 'foo'
+    assert open('%s/assets/test.png' % path).read() == 'foo'
 
     os.remove('%s/assets/test.png' % path)
     app = login(app)
@@ -967,7 +965,7 @@ def test_site_export_import_tar(app, admin_user):
     resp = resp.click('Import Site')
     resp.form['site_file'] = Upload('site-export.json', site_export, 'application/json')
     resp = resp.form.submit()
-    assert open('%s/assets/test.png' % path, 'r').read() == 'test'
+    assert open('%s/assets/test.png' % path).read() == 'test'
 
 
 def test_site_export_import_missing_group(app, admin_user):
@@ -1070,10 +1068,9 @@ def test_invalid_cell_report(app, admin_user):
     cell.mark_as_invalid('foo_bar_reason')
     resp = app.get('/manage/cells/invalid-report/')
     assert resp.context['object_list'] == [cell]
-    assert '<a href="/manage/pages/{}/">{}</a>'.format(page.pk, page.title) in resp.text
+    assert f'<a href="/manage/pages/{page.pk}/">{page.title}</a>' in resp.text
     assert (
-        '<a href="/manage/pages/{}/#cell-{}">{}</a>'.format(page.pk, cell.get_reference(), cell.get_label())
-        in resp.text
+        f'<a href="/manage/pages/{page.pk}/#cell-{cell.get_reference()}">{cell.get_label()}</a>' in resp.text
     )
 
     # cells from snapshot are not reported
@@ -1210,7 +1207,7 @@ SEARCH_SERVICES = {
 }
 
 
-class SearchServices(object):
+class SearchServices:
     def __init__(self, search_services):
         self.search_services = search_services
 
@@ -1441,7 +1438,7 @@ def test_edit_text_cell(app, admin_user):
         resp = app.get('/manage/pages/%s/' % page.id)
         resp.form['cdata_textcell-%s-text' % cells[0].id].value = 'Hello : World'
         resp = resp.form.submit()
-        assert TextCell.objects.get(id=cells[0].id).text == u'Hello\u00a0: World'
+        assert TextCell.objects.get(id=cells[0].id).text == 'Hello\u00a0: World'
 
 
 def test_edit_json_cell(app, admin_user):
@@ -2045,7 +2042,7 @@ def test_asset_export_import(app, admin_user):
     resp = resp.click('Import')
     resp.form['assets_file'] = Upload('test.tar', content)
     resp = resp.form.submit()
-    assert sum([len(x[2]) for x in os.walk(default_storage.path(''))]) == 2
+    assert sum(len(x[2]) for x in os.walk(default_storage.path(''))) == 2
     resp = resp.follow()
     assert 'The assets file has been imported.' in resp.text
 
@@ -2084,7 +2081,7 @@ def test_asset_export_import(app, admin_user):
     resp = resp.click('Import')
     resp.form['assets_file'] = Upload('test.tar', b'garbage')
     resp = resp.form.submit()
-    assert sum([len(x[2]) for x in os.walk(default_storage.path(''))]) == 0
+    assert sum(len(x[2]) for x in os.walk(default_storage.path(''))) == 0
     resp = resp.follow()
     assert 'The assets file is not valid.' in resp.text
 
diff --git a/tests/test_maps_cells.py b/tests/test_maps_cells.py
index ff160cc4..03ad027b 100644
--- a/tests/test_maps_cells.py
+++ b/tests/test_maps_cells.py
@@ -1,7 +1,6 @@
-# -*- coding: utf-8 -*-
 import json
+from unittest import mock
 
-import mock
 import pytest
 from django.conf import settings
 from django.contrib.auth.models import Group, User
diff --git a/tests/test_maps_manager.py b/tests/test_maps_manager.py
index fb688d6e..a8046f0d 100644
--- a/tests/test_maps_manager.py
+++ b/tests/test_maps_manager.py
@@ -1,6 +1,5 @@
-# -*- coding: utf-8 -*-
+from unittest import mock
 
-import mock
 import pytest
 
 from combo.apps.maps.models import Map, MapLayer, MapLayerOptions
@@ -176,8 +175,8 @@ def test_list_layers(app, admin_user, layer):
 
     app = login(app)
     resp = app.get('/manage/maps/', status=200)
-    assert '/manage/pages/{}/#cell-{}'.format(page.pk, map1.get_reference()) in resp.text
-    assert '/manage/pages/{}/#cell-{}'.format(page.pk, map2.get_reference()) in resp.text
+    assert f'/manage/pages/{page.pk}/#cell-{map1.get_reference()}' in resp.text
+    assert f'/manage/pages/{page.pk}/#cell-{map2.get_reference()}' in resp.text
 
 
 @mock.patch('combo.apps.maps.models.requests.get')
diff --git a/tests/test_notification.py b/tests/test_notification.py
index 62dc8b44..238c366d 100644
--- a/tests/test_notification.py
+++ b/tests/test_notification.py
@@ -1,8 +1,8 @@
 import json
 from datetime import timedelta as timedelta
 from decimal import Decimal
+from unittest import mock
 
-import mock
 import pytest
 from django.contrib.auth.models import User
 from django.test import Client
@@ -143,7 +143,7 @@ def test_notification_cell(app, john_doe, jane_doe):
 
     app = login_app(app, username='jane.doe', password='jane.doe')
     resp = app.get('/api/menu-badges/?page[]=%s' % page.id)
-    assert resp.json == {'{}'.format(page.id): {'badge': '1'}}
+    assert resp.json == {f'{page.id}': {'badge': '1'}}
 
 
 def test_notification_ws(john_doe):
diff --git a/tests/test_pages.py b/tests/test_pages.py
index 587296ce..99d4fe53 100644
--- a/tests/test_pages.py
+++ b/tests/test_pages.py
@@ -18,10 +18,10 @@ pytestmark = pytest.mark.django_db
 
 def test_page_order():
     page = Page()
-    page.title = u'foo'
+    page.title = 'foo'
     page.save()
     page2 = Page()
-    page2.title = u'bar'
+    page2.title = 'bar'
     page2.save()
 
     assert Page.objects.get(id=page.id).order < Page.objects.get(id=page2.id).order
@@ -29,7 +29,7 @@ def test_page_order():
 
 def test_page_url():
     page = Page()
-    page.slug = u'foo'
+    page.slug = 'foo'
     page.save()
     assert page.get_online_url() == '/foo/'
     page2 = Page()
@@ -147,13 +147,13 @@ def test_page_visibility_groups_init():
 
 
 def test_import_export_pages():
-    page = Page(title=u'foo', slug='foo', order=0, description="Foo's page")
+    page = Page(title='foo', slug='foo', order=0, description="Foo's page")
     page.save()
 
     cell = TextCell(page=page, text='foo', order=0, placeholder='content')
     cell.save()
 
-    page2 = Page(title=u'bar', slug='bar', order=1, parent=page, description="Bar's page")
+    page2 = Page(title='bar', slug='bar', order=1, parent=page, description="Bar's page")
     page2.save()
 
     cell = TextCell(page=page2, text='bar', order=0, placeholder='content')
@@ -177,10 +177,10 @@ def test_import_export_pages():
 
 
 def test_import_export_pages_with_links():
-    page = Page(title=u'foo', slug='foo', order=0)
+    page = Page(title='foo', slug='foo', order=0)
     page.save()
 
-    page2 = Page(title=u'bar', slug='bar', order=1)
+    page2 = Page(title='bar', slug='bar', order=1)
     page2.save()
 
     cell = LinkCell(page=page, title='bar', placeholder='content', link_page=page2, order=1)
@@ -328,13 +328,13 @@ def test_next_previous():
 
 
 def test_import_export_management_commands():
-    page = Page(title=u'foo', slug='foo', order=0)
+    page = Page(title='foo', slug='foo', order=0)
     page.save()
 
     cell = TextCell(page=page, text='foo', order=0, placeholder='content')
     cell.save()
 
-    page2 = Page(title=u'bar', slug='bar', order=1, parent=page)
+    page2 = Page(title='bar', slug='bar', order=1, parent=page)
     page2.save()
 
     cell = TextCell(page=page2, text='bar', order=0, placeholder='content')
@@ -372,7 +372,7 @@ def test_import_export_management_commands():
 
 
 def test_get_placeholders():
-    page = Page(title=u'foo', slug='foo', template_name='standard-sidebar', order=0)
+    page = Page(title='foo', slug='foo', template_name='standard-sidebar', order=0)
     request = RequestFactory().get('/')
     placeholders = page.get_placeholders(request=request)
     assert [x.key for x in placeholders] == ['content', 'sidebar', 'footer']
@@ -394,14 +394,14 @@ def test_get_placeholders():
         }
     ):
         placeholders = page.get_placeholders(request=request)
-        assert set([x.key for x in placeholders]) == set(['content', 'content2', 'sidebar', 'footer'])
+        assert {x.key for x in placeholders} == {'content', 'content2', 'sidebar', 'footer'}
         footer_placeholder = [x for x in placeholders if x.key == 'footer'][0]
         assert footer_placeholder.acquired is False
 
 
 def test_render(app):
     page = Page(
-        title=u'foo', slug='foo', template_name='standard-sidebar', order=0, description="page description"
+        title='foo', slug='foo', template_name='standard-sidebar', order=0, description="page description"
     )
     page.save()
     response = app.get(page.get_online_url())
@@ -411,7 +411,7 @@ def test_render(app):
 
 def test_render_cell_having_href_template_error(app):
     page = Page(
-        title=u'foo', slug='foo', template_name='standard-sidebar', order=0, description="page description"
+        title='foo', slug='foo', template_name='standard-sidebar', order=0, description="page description"
     )
     page.save()
     cell = TextCell(
diff --git a/tests/test_profile.py b/tests/test_profile.py
index 7de3b4c9..0565c78a 100644
--- a/tests/test_profile.py
+++ b/tests/test_profile.py
@@ -1,7 +1,7 @@
 import datetime
 import json
+from unittest import mock
 
-import mock
 import pytest
 from django.test import override_settings
 
diff --git a/tests/test_public.py b/tests/test_public.py
index be5dd584..916f4904 100644
--- a/tests/test_public.py
+++ b/tests/test_public.py
@@ -2,8 +2,8 @@ import datetime
 import json
 import os
 import re
+from unittest import mock
 
-import mock
 import pytest
 from django.conf import settings
 from django.contrib.auth.models import Group, User
@@ -980,7 +980,7 @@ def test_familycell_unlink(requests_get, app, settings, admin_user):
 
 
 def test_synchronous_placeholder(app):
-    page = Page(title=u'foo', slug='foo', template_name='standard', order=0)
+    page = Page(title='foo', slug='foo', template_name='standard', order=0)
     page.save()
     cell = FeedCell(page=page, placeholder='content', url='http://example.net', order=1)
     cell.save()
diff --git a/tests/test_publik.py b/tests/test_publik.py
index a6c1b996..01813d8f 100644
--- a/tests/test_publik.py
+++ b/tests/test_publik.py
@@ -27,7 +27,7 @@ def normal_user():
     return user
 
 
-class KnownServices(object):
+class KnownServices:
     def __init__(self, known_services):
         self.known_services = known_services
         self.orig_value = settings.KNOWN_SERVICES
diff --git a/tests/test_pwa.py b/tests/test_pwa.py
index 1f5ec5b3..64362833 100644
--- a/tests/test_pwa.py
+++ b/tests/test_pwa.py
@@ -1,7 +1,7 @@
 import base64
 import os
+from unittest import mock
 
-import mock
 import pytest
 import pywebpush
 from django.conf import settings
diff --git a/tests/test_requests.py b/tests/test_requests.py
index 5b7b5747..9155bcfa 100644
--- a/tests/test_requests.py
+++ b/tests/test_requests.py
@@ -1,6 +1,5 @@
-# -*- coding: utf-8 -*-
+from unittest import mock
 
-import mock
 import pytest
 from django.contrib.auth.models import AnonymousUser
 from django.utils.six.moves.urllib import parse as urlparse
@@ -8,7 +7,7 @@ from django.utils.six.moves.urllib import parse as urlparse
 from combo.utils import NothingInCacheException, check_query, requests
 
 
-class MockUser(object):
+class MockUser:
     email = 'foo@example.net'
     is_authenticated = True
 
@@ -150,4 +149,4 @@ def test_requests_cache():
             requests.get('http://cache.example.org/other', raise_if_not_cached=True)
 
         # check with unicode url
-        assert requests.get(u'http://cache.example.org/éléphant').content == b'hello second world'
+        assert requests.get('http://cache.example.org/éléphant').content == b'hello second world'
diff --git a/tests/test_search.py b/tests/test_search.py
index 105a9f9d..bfea4b03 100644
--- a/tests/test_search.py
+++ b/tests/test_search.py
@@ -1,8 +1,8 @@
 import datetime
 import json
 import os
+from unittest import mock
 
-import mock
 import pytest
 from django.conf import settings
 from django.contrib.auth.models import AnonymousUser, Group, User
@@ -46,7 +46,7 @@ SEARCH_SERVICES = {
 TEMPLATE_VARS = {'search_url': 'http://search.example.net/'}
 
 
-class SearchServices(object):
+class SearchServices:
     def __init__(self, search_services):
         self.search_services = search_services
 
@@ -893,15 +893,15 @@ def test_wcs_errors(settings, app):
         mock_resp = Response()
         mock_resp.status_code = 500
         requests_get.return_value = mock_resp
-        assert set(engines.get_engines().keys()) == set(['tracking-code', 'formdata:c21f969b', '_text'])
+        assert set(engines.get_engines().keys()) == {'tracking-code', 'formdata:c21f969b', '_text'}
     with mock.patch('combo.apps.wcs.utils.requests.get') as requests_get:
         requests_get.side_effect = ConnectionError()
-        assert set(engines.get_engines().keys()) == set(['tracking-code', 'formdata:c21f969b', '_text'])
+        assert set(engines.get_engines().keys()) == {'tracking-code', 'formdata:c21f969b', '_text'}
     with mock.patch('combo.apps.wcs.utils.requests.get') as requests_get:
         mock_resp = Response()
         mock_resp.status_code = 404
         requests_get.return_value = mock_resp
-        assert set(engines.get_engines().keys()) == set(['tracking-code', 'formdata:c21f969b', '_text'])
+        assert set(engines.get_engines().keys()) == {'tracking-code', 'formdata:c21f969b', '_text'}
 
 
 @mock.patch('combo.apps.wcs.utils.get_wcs_json')
@@ -1429,5 +1429,5 @@ def test_search_by_page_title(app):
     # Check that title matching gets precedence over content matching
     assert len(hits) == 2
     assert hits[0]['text'] == page_of_interest.title
-    assert hits[0]['url'] == '/{}/'.format(page_of_interest.slug)
+    assert hits[0]['url'] == f'/{page_of_interest.slug}/'
     assert hits[0]['rank'] > hits[1]['rank']
diff --git a/tests/test_spooler.py b/tests/test_spooler.py
index ede06e3b..2ed6138b 100644
--- a/tests/test_spooler.py
+++ b/tests/test_spooler.py
@@ -1,8 +1,8 @@
 import importlib
 import pickle
 import sys
+from unittest import mock
 
-import mock
 import pytest
 
 from combo.utils import spooler
diff --git a/tests/test_utils.py b/tests/test_utils.py
index 91e03922..2ea2ee5e 100644
--- a/tests/test_utils.py
+++ b/tests/test_utils.py
@@ -9,7 +9,7 @@ from django.utils.encoding import force_bytes
 from combo.utils import TemplateError, aes_hex_decrypt, aes_hex_encrypt, get_templated_url
 
 
-class MockUser(object):
+class MockUser:
     email = 'foo=3@example.net'
     is_authenticated = True
 
